<script context="module">
	export function load({ error, status }) {
		return {
			props: {
				title: `${status}: ${error.message}`,
				status: status
			}
		};
	}
</script>

<script lang="ts">
	import { goto, invalidate, prefetch, prefetchRoutes } from '$app/navigation';
	import { getStores, navigating, page, session } from '$app/stores';
	import { base, assets } from '$app/paths';
	export let title;
	export let status;

	function reload() {
		window.location.reload();
	}

	function navigateMain() {
        goto('/')
    }
</script>

<main class="bg-gray-200 relative overflow-hidden h-screen">
	<div class="container mx-auto h-screen pt-32 md:pt-0 px-6 z-10 flex items-center justify-between">
		<div
			class="container mx-auto px-6 flex flex-col-reverse lg:flex-row justify-between items-center relative"
		>
			<div class="w-full mb-16 md:mb-8 text-center lg:text-left">
				<p
					class="font-light font-sans text-center lg:text-left text-4xl lg:text-6xl mt-12 md:mt-0 text-red-700"
				>
					{title}
				</p>
				{#if status == '404'}
					<button
						on:click={navigateMain}
						class="px-2 py-2 w-36 mt-16 font-light transition ease-in duration-200 hover:bg-yellow-400 border-2 text-lg rounded-full bg-yellow-300"
					>
						Main
					</button>
				{:else}
					<button
						on:click={reload}
						class="px-2 py-2 w-36 mt-16 font-light transition ease-in duration-200 hover:bg-yellow-400 border-2 text-lg rounded-full bg-yellow-300"
					>
						Reload Page
					</button>
				{/if}
			</div>
		</div>
	</div>
</main>
